
/*
Copyright [2015] [O.Klemke]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*.
pi_power shut down the system when the gpio-pin 0 ( change PwrButton here )
goes from HIGHT to LOW, usual PC-like ;-)
*/

#ifndef __PI_POWERBTN_H__
#define __PI_POWERBTN_H__

#ifndef GNU_SOURCE
#define GNU_SOURCE 1
#endif

#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <wiringPi.h>
#include <syslog.h>


// We define the GPIO-Pin (WiringPi notation)
#define PwrButton	0
// we wait for miliseconds between calls
#define PwrButton_delay		250

// we define the Live-Led pin (WiringPi notation) -1 means off
#define LiveLed		2

// we pre-define if schould run in backround as daemon >=1 means yes
#define Daemon		1


#define ProgramName	"pi_powerbtn"
#define VERSION		"0.9.3 (beta)"





#endif